<div class="max-w-3xl mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-2xl font-bold mb-4">Actualizar Cuenta</h2>
  <form [formGroup]="formulario" >
    <div class="mb-4">
      <label for="numero" class="block text-sm font-medium text-gray-700">Número de Cuenta:</label>
      <input type="text" formControlName="numero" id="numero" name="numero" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Número de Cuenta">
    </div>
    <div class="mb-4">
      <label for="saldo" class="block text-sm font-medium text-gray-700">Saldo:</label>
      <input type="number" formControlName="saldo" id="saldo" name="saldo" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Saldo">
    </div>
    <div class="mt-6" >
      <button (click)="actualizarCuenta()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" type="submit"
      >Actualizar</button>
    </div>
    <div class="mt-6" >
      <button (click)="volverLista()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" type="submit"
      >Regresar</button>
    </div>  </form>
</div>
